Package org.apache.sling.testing.clients.util

# Class ServerErrorRetryStrategy

java.lang.Object
org.apache.sling.testing.clients.util.ServerErrorRetryStrategy

All Implemented Interfaces:
  `org.apache.http.client.ServiceUnavailableRetryStrategy`

public class ServerErrorRetryStrategy extends Object implements org.apache.http.client.ServiceUnavailableRetryStrategy
{code ServiceUnavailableRetryStrategy} strategy for retrying request in case of a 5XX response code

## Constructor Summary

Constructors
Constructor
Description
`ServerErrorRetryStrategy()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getRetryInterval()`
`boolean`
`retryRequest(org.apache.http.HttpResponse response, int executionCount, org.apache.http.protocol.HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServerErrorRetryStrategy

public ServerErrorRetryStrategy()

## Method Details

### retryRequest

public boolean retryRequest(org.apache.http.HttpResponse response, int executionCount, org.apache.http.protocol.HttpContext context)

Specified by:
  `retryRequest` in interface `org.apache.http.client.ServiceUnavailableRetryStrategy`

### getRetryInterval

public long getRetryInterval()

Specified by:
  `getRetryInterval` in interface `org.apache.http.client.ServiceUnavailableRetryStrategy`